%define rname vlan
%define name %{rname}-utils
%define version 1.6
%define release 2mdk
%define url http://scry.wanfear.com/~greear/vlan/

Summary: Utilities for controlling vlans.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{url}/%{rname}.%{version}.tar.bz2
Patch0: vlan-1.6-mdkconf.patch.bz2
License: GPL
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Url: %{url}
BuildRequires: kernel-headers >= 2.4.14, lynx
Requires: kernel >= 2.4.14

%description
Virtual networking refers to the ability of switches and routers to
configure logical topologies on top of the physical network
infrastructure, allowing any arbitrary collection of LAN segments
within a network to be combined into an autonomous user group,
appearing as a single LAN.

This package implement support (along with the kernel patch) :

     * Implements 802.1Q VLAN spec.
     * Can support up to 4094 VLANs per ethernet interface.
     * Scales well in critical paths: O(n), where n is the number of
       PHYSICAL ethernet interfaces, and that is only on ingress. O(1) in
       every other critical path, as far as I know.
     * Supports MULTICAST
     * Can change MAC address of VLAN.
     * Multiple naming conventions supported, and adjustable at runtime.
     * Optional header-reordering, to make the VLAN interface look JUST
       LIKE an Ethernet interface. This fixes some problems with DHCPd
       and anything else that uses a SOCK_PACKET socket. Default setting
       is off, which works for every other protocol I know about, and is
       slightly faster.

%prep
%setup -q -n %{rname}
%patch0 -p1

%build
%make RPM_OPT_FLAGS="%optflags"
lynx -dump -nolist vlan.html > vlan.txt

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%{_bindir}/
install -m755 vconfig %{buildroot}%{_bindir}/
install -m755 vlan_test.pl %{buildroot}%{_bindir}/vlan-test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc vlan.txt
%{_bindir}/*

%changelog
* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.6-2mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Mon Jun 17 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.6-1mdk
- 1.6-1mdk (requires kernel >= 2.4.14).
- Rediff mdkconf patch.

* Mon Aug 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.4-1mdk
- Upgrade dependences to latest kernel.
- 1.4.

* Wed Aug  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.3-2mdk
- Use /usr/include instead of /usr/src/linux (since we depend of
  kernel-headers) (oden).

* Wed Aug  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.3-1mdk
- First version.



# end of file
